Net::DNS::RR::EUI48(3)

NAME
Net::DNS::RR::EUI48 - DNS EUI48 resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN EUI48 address');

    $rr = new Net::DNS::RR(
        name    => 'example.com',
        type    => 'EUI48',
        address => '00-00-5e-00-53-2a'
        );

DESCRIPTION
DNS resource records for 48-bit Extended Unique Identifier (EUI48).

The EUI48 resource record is used to represent IEEE Extended Unique Identifiers used in various layer-2 networks, ethernet for example.

EUI48 addresses SHOULD NOT be published in the public DNS. RFC7043 describes potentially severe privacy implications resulting from indiscriminate publication of link-layer addresses in the DNS.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  address The address field is a 6-octet layer-2 address in network byte order.
The presentation format is hexadecimal separated by "-".

COPYRIGHT
Copyright (c)2013 Dick Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC7043